/***************************************************************
 *
 * Copyright (C) 1990-2007, Condor Team, Computer Sciences Department,
 * University of Wisconsin-Madison, WI.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License.  You may
 * obtain a copy of the License at
 * 
 *    http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ***************************************************************/


#include "condor_common.h"
#include "condor_daemon_core.h"
#include "KeyCache.h"
#include "string_list.h"
#include "HashTable.h"

extern bool operator==(const struct in_addr a, const struct in_addr b);

template class HashTable<MyString, perm_mask_t>;
template class HashTable<pid_t, DaemonCore::PidEntry*>;
template class HashTable<struct in_addr, perm_mask_t>;
template class HashTable<struct in_addr, HashTable<MyString, perm_mask_t> *>;
template class ExtArray<DaemonCore::SockEnt>;
template class ExtArray<DaemonCore::PipeEnt>;
template class Queue<DaemonCore::WaitpidEntry>;
template class Queue<ServiceData*>;
template class HashTable<MyString, StringList *>;
template class List<DaemonCore::TimeSkipWatcher>;
template class Item<DaemonCore::TimeSkipWatcher>;
