/***************************************************************
 *
 * Copyright (C) 1990-2007, Condor Team, Computer Sciences Department,
 * University of Wisconsin-Madison, WI.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License.  You may
 * obtain a copy of the License at
 * 
 *    http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ***************************************************************/


#include "condor_common.h"
#include "simplelist.h"
#include "extArray.h"
#include "MyString.h"
#include "HashTable.h"
#include "ResAttributes.h"

class Resource;
class CpuAttributes;
class Starter;
class Claim;
class VMMachine;
class VMStarterInfo;

template class ExtArray<bool>;
template class SimpleList<Claim*>;
template class SimpleList<Starter*>;
template class SimpleList<Resource*>;
template class SimpleList<CpuAttributes*>;
template class SimpleList<VMMachine*>;
template class SimpleList<VMStarterInfo*>;
template class HashTable<MyString,AvailDiskPartition>;


#if HAVE_BACKFILL
class BackfillSlot;
template class ExtArray<BackfillSlot*>;
#endif /* HAVE_BACKFILL */


